Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057854 - [abrt] evolution: g_str_hash(): evolution killed by SIGSEGV
Summary: [abrt] evolution: g_str_hash(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3b7fccfdce3c8ceb95a540df7fa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 11:13 UTC by Heiko Adams
Modified: 2014-06-09 14:36 UTC (History)
6 users (show)

Fixed In Version: evolution-3.12.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 14:36:41 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-25 11:13 UTC, Heiko Adams
no flags Details
File: cgroup (deleted)
2014-01-25 11:13 UTC, Heiko Adams
no flags Details
File: core_backtrace (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: dso_list (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: environ (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: exploitable (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: limits (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: maps (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: open_fds (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: proc_pid_status (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details
File: var_log_messages (deleted)
2014-01-25 11:14 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2014-01-25 11:13:36 UTC
Description of problem:
Just reading my mail by using search-folders

Version-Release number of selected component:
evolution-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        evolution
crash_function: g_str_hash
executable:     /usr/bin/evolution
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1732
 #1 g_hash_table_lookup_node at ghash.c:365
 #2 g_hash_table_lookup at ghash.c:1076
 #3 e_mail_label_list_store_lookup at e-mail-label-list-store.c:672
 #4 add_label_if_known at message-list.c:1479
 #5 add_all_labels_foreach at message-list.c:1506
 #6 for_node_and_subtree_if_collapsed at message-list.c:1367
 #7 ml_tree_value_at_ex at message-list.c:1723
 #8 ect_draw at e-cell-text.c:729
 #9 e_cell_draw at e-cell.c:358

Potential duplicate: bug 708467

Comment 1 Heiko Adams 2014-01-25 11:13:52 UTC
Created attachment 855364 [details]
File: backtrace

Comment 2 Heiko Adams 2014-01-25 11:13:54 UTC
Created attachment 855365 [details]
File: cgroup

Comment 3 Heiko Adams 2014-01-25 11:14:04 UTC
Created attachment 855366 [details]
File: core_backtrace

Comment 4 Heiko Adams 2014-01-25 11:14:07 UTC
Created attachment 855367 [details]
File: dso_list

Comment 5 Heiko Adams 2014-01-25 11:14:09 UTC
Created attachment 855368 [details]
File: environ

Comment 6 Heiko Adams 2014-01-25 11:14:12 UTC
Created attachment 855369 [details]
File: exploitable

Comment 7 Heiko Adams 2014-01-25 11:14:14 UTC
Created attachment 855370 [details]
File: limits

Comment 8 Heiko Adams 2014-01-25 11:14:26 UTC
Created attachment 855371 [details]
File: maps

Comment 9 Heiko Adams 2014-01-25 11:14:28 UTC
Created attachment 855372 [details]
File: open_fds

Comment 10 Heiko Adams 2014-01-25 11:14:30 UTC
Created attachment 855373 [details]
File: proc_pid_status

Comment 11 Heiko Adams 2014-01-25 11:14:32 UTC
Created attachment 855374 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-01-27 10:15:47 UTC
Thanks for a bug report. I see this happened due to memory corruption, probably some function freed something what other expected to have still available, or some such thing, which might be also related to your bug #1057745. It's quite hard to find such issues, because they can exhibit anywhere, not necessarily immediately after the memory corruption happens.

Could you install valgrind, debuginfo pckages for evolution-data-server and evolution, and run evolution under valgrind like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt
and try to use evolution for some time? It'll be awfully slow, due to all memory checking, and it's also possible that the actual memory corruption happens only with certain timing, which can be avoided due to the slowness, but maybe it'll catch some issue.

By the way, are you using only IMAP mail accounts in evolution, or are there defined more accounts?

Comment 13 Heiko Adams 2014-06-09 11:15:11 UTC
I'm sorry for the long delay but I was very busy in the lasts months.

To answer your questions: I'm only using IMAP-Accounts which are created by GOA. And I didn't see this crash anymore. Maybe because I've upgraded to Gnome 3.12 in meantime.

Comment 14 Milan Crha 2014-06-09 14:36:41 UTC
Good, in that case I'm closing this in favour of 3.12. Thanks.


Note You need to log in before you can comment on or make changes to this bug.